Skip to main content
GET
/
incentives
/
{incentiveId}
Get an incentive by id
curl --request GET \
  --url https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rallyuxr.com/api/public/v1/incentives/{incentiveId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "incentiveId": "<string>",
  "amountCents": 123,
  "sentAt": "2023-11-07T05:31:56Z",
  "recipientEmail": "jsmith@example.com",
  "personId": "<string>",
  "participantId": "<string>",
  "studyId": "<string>",
  "budgetId": "<string>",
  "customIncentiveId": "<string>",
  "customIncentiveValue": "<string>"
}
{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
"Unauthorized"
"Forbidden"
"{Resource} not found"
"Too Many Requests"
"Internal Server Error"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incentiveId
string
required

Response

Incentive response

An incentives's metadata

incentiveId
string
required

The ID of the incentive

type
enum<string> | null
required

The type of the incentive

Available options:
MONEY_OR_GIFT_CARD,
CUSTOM,
RECRUITMENT_FEE,
RESPONDENT_MONEY,
null
amountCents
integer | null
required

The value of the incentive in cents

sentAt
string<date-time>
required

When the incentive was sent

recipientEmail
string<email> | null
required

The email of the recipient. Null when the recipient has been deleted. Masked if the api key doesn't have permissions

personId
string | null
required

The ID of the person

participantId
string | null
required

The ID of the participant

studyId
string | null
required

The ID of the study

status
enum<string>
required

The payment status of the incentive. Money and Charity incentives move through UNCLAIMED -> CLAIMED, ERROR, CANCELED, EXPIRED. Custom Incentives have no flow and are always SENT. EXPIRED applies to incentives sent after Jan 31 2026 that remain unclaimed for 1 year.

Available options:
UNCLAIMED,
CLAIMED,
CANCELED,
ERROR,
SENT,
EXPIRED
budgetId
string | null
required

The ID of the budget

customIncentiveId
string | null

The ID of the custom incentive

customIncentiveValue
string | null

The value of the custom incentive